Menu
Choose a product
Scroll for more
Documentation
Grafana Cloud
Testing and synthetics
Performance testing
Reference pages
Cloud REST API
Deprecated REST API
Organizations
Grafana Cloud
Organizations Legacy API
Warning
The Grafana Cloud k6 endpoints under this section are deprecated and planned for removal in the near future. Migrate to the latest API endpoints to avoid disruptions.
List organizations
Returns a list of organizations associated with the authenticated user along with organization details.
GET https://api.k6.io/v3/organizations
JSON
{
"organizations": [
{
"id": 0,
"name": "string",
"owner_id": 0,
"description": "string",
"billing_address": "string",
"billing_country": "string",
"billing_email": "user@example.com",
"vat_number": "string",
"created": "2020-08-13T18:28:45Z",
"updated": "2020-08-13T18:28:45Z",
"is_default": true
}
]
}Read organization details
Returns details for the specified organization.
GET https://api.k6.io/v3/organizations/{organization_id}
| Path Parameter | Type | Description |
|---|---|---|
| organization_id | integer | A unique integer value identifying this organization. |
JSON
{
"organization": {
"id": 0,
"name": "string",
"owner_id": 0,
"description": "string",
"billing_address": "string",
"billing_country": "string",
"billing_email": "user@example.com",
"vat_number": "string",
"created": "2020-08-13T18:28:45Z",
"updated": "2020-08-13T18:28:45Z",
"is_default": true
}
}Was this page helpful?
Related resources from Grafana Labs
Additional helpful documentation, links, and articles:
Video

Getting started with managing your metrics, logs, and traces using Grafana
In this webinar, we’ll demo how to get started using the LGTM Stack: Loki for logs, Grafana for visualization, Tempo for traces, and Mimir for metrics.
Video

Intro to Kubernetes monitoring in Grafana Cloud
In this webinar you’ll learn how Grafana offers developers and SREs a simple and quick-to-value solution for monitoring their Kubernetes infrastructure.
Video

Building advanced Grafana dashboards
In this webinar, we’ll demo how to build and format Grafana dashboards.